package com.ym.library.config;

import android.content.Context;

/**
 * 广告行为约束
 */
public interface INativeAdAction {
    // 渠道SDK的初始化动作(非强制),如ad的创建
    void doInit(Context context);

    // 广告拉取行为
    void doLoadAd();

    // 返回缓存数量
    int getCacheSize();

    // 清空缓存
    void doClear();

    // 广告销毁动作
    void doDestroy();
}
